Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/PrintFormat.cs	(revision 83)
@@ -0,0 +1,680 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+using System.Windows.Forms;
+using System.Diagnostics;
+using Microsoft.VisualBasic;
+using System.Globalization;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmProceedings
+    {
+        #region 印刷メイン
+        /// <summary>
+        /// 印刷処理
+        /// </summary>
+        public void PrintMain()
+        {
+            //デリゲートの作成
+            m_progressDlg = new SetProgressValueDelegate(SetProgressValue);
+            m_completeDlg = new ThreadCompletedDelegate(ThreadCompleted);
+            m_canceledDlg = new ThreadCanceledDelegate(ThreadCanceled);
+
+            try
+            {
+                // 印刷クラス
+                m_UsedExcel = new UsedExcel();
+                m_ProgressCount = 0;
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+
+                //エクセルブックオープン
+                if (!m_UsedExcel.ExcelBookOpen(System.Environment.CurrentDirectory + CommonDefine.s_ExcelOriginalFileName))
+                {
+                    m_rtAns = CommonDefine.RetunAnswer.Answer5;
+                    return;
+                }
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+
+                // ページ印刷
+                CommonDefine.RetunAnswer rtAns = PrintPage();
+                if (rtAns != CommonDefine.RetunAnswer.Answer0)
+                {
+                    m_rtAns = rtAns;
+                    return;
+                }
+
+                // 中断処理
+                if (m_Canceled) return;
+
+                List<string> strParaList = new List<string>();
+                strParaList.Add(m_ConstructionBaseInfoDetail.DetailString);
+
+                // 印刷・Excel保存処理
+                if (m_PrintresRet == DialogResult.Yes)
+                {
+                    // +++++++++++++++++++++++++ 印刷 +++++++++++++++++++++++++
+                    m_UsedExcel.ExcelSheetPrint();
+                }
+                else if (m_PrintresRet == DialogResult.No)
+                {
+                    // +++++++++++++++++++++++++ 保存 +++++++++++++++++++++++++
+                    string FilePath = @m_SelectSaveExcel;
+                    // エクセル保存
+                    if (CommonMotions.ChkDirPath(FilePath, true))
+                    {
+                        string wrkFile = "5-1.";
+                        foreach (string ww in strParaList)
+                        {
+                            wrkFile += ww;
+                        }
+                        for (int ix = 0; ix < m_UsedExcel.ExcelBadCharcter.Length; ix++)
+                        {
+
+                            wrkFile = wrkFile.Replace(m_UsedExcel.ExcelBadCharcter[ix], "");
+                        }
+                        // ファイル名作成
+                        FilePath += @"\" + @wrkFile + @s_ExcelBookName;
+
+                        m_UsedExcel.SaveSwitch = true;
+                        m_UsedExcel.ExcelSaveBook(FilePath);
+                    }
+                }
+
+                m_rtAns = CommonDefine.RetunAnswer.Answer0;
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                m_rtAns = CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+                // 完了したときにコントロールの値を変更する
+                this.Invoke(m_completeDlg);
+
+                // エクセル開放
+                if (m_UsedExcel != null)
+                {
+                    m_UsedExcel.ExcelBookClose();
+                }
+                m_UsedExcel = null;
+
+                //デリゲートの廃棄
+                m_progressDlg = null;
+                m_completeDlg = null;
+                m_canceledDlg = null;
+
+                // ガーベージコレクト
+                GC.Collect();
+            }
+        }
+        #endregion
+
+        #region ページ印刷
+        /// <summary>
+        /// ページ印刷
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer PrintPage()
+        {
+            IOProceedingsData DailyDB = new IOProceedingsData();
+            try
+            {
+                // 議事録データ取得
+                string strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                // 印刷範囲が指定されていた場合は日付指定
+                if (m_PrintRange == (int)FrmPrintConfirmation.PrintSelFlg.Range)
+                {
+                    strSQL += string.Format(" AND (STR_TO_DATE('{0}', '%Y/%m/%d') <= TRUNCATE(PROCEEDINGSDATADATE)", m_PrintStartDate.ToShortDateString());
+                    strSQL += string.Format(" AND TRUNCATE(PROCEEDINGSDATADATE) <= STR_TO_DATE('{0}', '%Y/%m/%d'))", m_PrintCompDate.ToShortDateString());
+                }
+                strSQL += " ORDER BY PROCEEDINGSDATADATE";
+                List<ProceedingsData> DailyList = new List<ProceedingsData>();
+                if (!DailyDB.SelectAction(strSQL, ref DailyList)) return CommonDefine.RetunAnswer.Answer3;
+                if (DailyList.Count == 0) return CommonDefine.RetunAnswer.Answer3;
+
+                ArrayList AttendList = new ArrayList();
+                ArrayList DetailList = new ArrayList();
+
+                string strPageName = string.Empty;
+                foreach (ProceedingsData DailyRec in DailyList)
+                {
+                    // 対象日文字列作成
+                    string strTargetDate = DailyRec.ProceedingsDataDate.ToShortDateString();
+                    // 議事録シートの取得
+                    m_UsedExcel.ExcelSheetGet(s_SheetName, true, strTargetDate.Replace("/", "-"));
+
+                    // データリストクリア
+                    AttendList.Clear();
+                    DetailList.Clear();
+
+                    // テーブルよりデータを取得する
+                    GetAttendList(DailyDB, DailyRec, ref AttendList);
+                    GetDetailList(DailyDB, DailyRec, ref DetailList);
+                    
+                    // 必要ページ数を計算する
+                    int PageCnt = GetToDayPageCnt(AttendList, DetailList);
+                    // 複数ページ必要時はシート内でコピー
+                    if (PageCnt > 1)
+                    {
+                        // ソース位置作成
+                        string SrcRow = string.Format("1:{0}", s_NumberOfRowInDetail);
+                        // コピー先位置作成
+                        string DestRow = string.Format("{0}:{1}", (s_NumberOfRowInDetail + 1), (s_NumberOfRowInDetail * PageCnt));
+                        // 印刷領域作成
+                        string PrintArea = string.Format("$A$1:$AN${0}", (s_NumberOfRowInDetail * PageCnt));
+
+                        // シートの取得
+                        m_UsedExcel.ExcelSheetGet(s_SheetName, false);
+                        // 明細フォーマットのコピー
+                        m_UsedExcel.ExcelCopyRow(SrcRow, DestRow, PrintArea, PageCnt);
+                    }
+
+                    // ----- ページ編集
+                    // ブロック１編集
+                    CommonDefine.RetunAnswer RARet = SetBlock1Data(DailyRec, PageCnt);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック２編集
+                    RARet = SetBlock2Data(AttendList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // ブロック３編集
+                    RARet = SetBlock3Data(DetailList);
+                    if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
+
+                    // 中断処理
+                    if (m_Canceled)
+                    {
+                        //キャンセルされたときにコントロールの値を変更する
+                        this.Invoke(m_canceledDlg);
+                        return CommonDefine.RetunAnswer.Answer0;
+                    }
+
+                    // コントロールの表示を変更する
+                    this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
+                }
+
+                // コントロールの表示を変更する
+                this.Invoke(m_progressDlg, new object[] { m_ProcessCount });
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+        #region 取得データ量より必要ページ数を返す
+        /// <summary>
+        /// 取得データ量より必要ページ数を返す
+        /// </summary>
+        /// <returns></returns>
+        private int GetToDayPageCnt(ArrayList AttendList, ArrayList DetailList)
+        {
+            try
+            {
+                int PageCnt = 0;
+
+                // 出席者データページ数
+                int workCnt = AttendList.Count / (s_FixAttendListRow * s_FixAttendListCol);
+                if ((AttendList.Count % (s_FixAttendListRow * s_FixAttendListCol)) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                // 明細データページ数
+                workCnt = DetailList.Count / s_FixDetailListRow;
+                if ((DetailList.Count % s_FixDetailListRow) != 0) workCnt++;
+                if (PageCnt < workCnt) PageCnt = workCnt;
+
+                return PageCnt;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 出席者データを取得する
+        /// <summary>
+        /// 出席者データを取得する
+        /// </summary>
+        /// <param name="DailyDB"></param>
+        /// <param name="DailyRec"></param>
+        /// <param name="AttendList"></param>
+        private void GetAttendList(IOProceedingsData DailyDB, ProceedingsData DailyRec, ref ArrayList AttendList)
+        {
+            try
+            {
+                string strSQL = "SELECT * FROM PROCEEDINGSDATAATTEND A";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", DailyRec.ConstructionCode);
+                strSQL += string.Format(" AND A.PROCEEDINGSDATADATE = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.ProceedingsDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.STARTMEETINGTIME = {0}", DailyRec.StartMeetingTime);
+                strSQL += " ORDER BY A.SEQNO";
+                DailyDB.ExecuteReader(strSQL, ref AttendList);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細データを取得する
+        /// <summary>
+        /// 明細データを取得する
+        /// </summary>
+        /// <param name="DetailDB"></param>
+        /// <param name="DetailList"></param>
+        private void GetDetailList(IOProceedingsData DailyDB, ProceedingsData DailyRec, ref ArrayList DetailList)
+        {
+            try
+            {
+                string strSQL = "SELECT * FROM PROCEEDINGSDATADETAIL A";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", DailyRec.ConstructionCode);
+                strSQL += string.Format(" AND A.PROCEEDINGSDATADATE = STR_TO_DATE('{0}','%Y/%m/%d')", DailyRec.ProceedingsDataDate.ToShortDateString());
+                strSQL += string.Format(" AND A.STARTMEETINGTIME = {0}", DailyRec.StartMeetingTime);
+                strSQL += " ORDER BY A.SEQNO";
+
+                ArrayList WorkList = new ArrayList();
+                DailyDB.ExecuteReader(strSQL, ref WorkList);
+                int iDataCnt = 1;
+                int iAddRow = 0;
+                int SeqNo = 0;
+                foreach (Object[] objRec in WorkList)
+                {
+                    SeqNo = CommonMotions.cnvInt(objRec[(int)IOProceedingsDataDetail.TableColumn.SeqNo]);
+                    if (SeqNo != iDataCnt)
+                    {
+                        iAddRow = SeqNo - iDataCnt;
+                        for (int i = 0; i < iAddRow; i++, iDataCnt++)
+                        {
+                            DetailList.Add(new object[] { DailyRec.ConstructionCode,
+                                                            DailyRec.ProceedingsDataDate,
+                                                            DailyRec.StartMeetingTime,
+                                                            iDataCnt,
+                                                            string.Empty,
+                                                            string.Empty,
+                                                            string.Empty,
+                                                            DailyRec.EntryDate,
+                                                            DailyRec.UpdateDate
+                                                        }
+                                        );
+                        }
+                    }
+                    DetailList.Add(objRec);
+                    iDataCnt++;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 印鑑表示
+        /// <summary>
+        ///  印鑑表示
+        /// </summary>
+        private void ExcelPrintCoverSeal(ProceedingsData DailyRec, int PageCnt)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOProcessApproval paDB = new IOProcessApproval();
+            try
+            {
+                // 印刷テーブル作成
+                int[] PorsonTable = new int[5] { 0, 0, 0, 0, 0 };
+                string[] PrintNameTable = new string[PorsonTable.Length];
+                string[] PersonNameTable = new string[PorsonTable.Length];
+
+                // 承認データから担当者名を読込む
+                string strSQLSeal = "SELECT B.PERSONCODE, B.DISPLAYSTRING, B.SEALPRINTNAME";
+                strSQLSeal += " FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
+                strSQLSeal += string.Format(" Where A.ConstructionCode = {0}", ConstructionCode.ToString());
+                strSQLSeal += string.Format(" And A.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.DRConstructionApproval);
+                strSQLSeal += string.Format(" AND A.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                strSQLSeal += " AND A.SEQNO != 1";
+                strSQLSeal += " AND B.PERSONCODE = A.PERSONCODE";
+                strSQLSeal += " AND C.SECCODE = B.SECCODE";
+                strSQLSeal += " Order By C.SECRANK ASC, B.DISPLAYORDER ASC";
+
+                ArrayList arList = new ArrayList();
+                if (!paDB.ExecuteReader(strSQLSeal, ref arList)) return;
+
+                // 承認データより担当者その他を取得する
+                int PrintCnt = 0;
+                foreach (object[] curRec in arList)
+                {
+                    // 枠分まで
+                    if (PrintCnt > PorsonTable.Length) break;
+
+                    ProcessApproval parec = new ProcessApproval();
+                    PorsonTable[PrintCnt] = CommonMotions.cnvInt(curRec[0]);
+                    PrintNameTable[PrintCnt] = CommonMotions.cnvString(curRec[1]);
+                    PersonNameTable[PrintCnt] = CommonMotions.cnvString(curRec[2]);
+
+                    PrintCnt++;
+                }
+
+                // 担当者をセットする
+                int SetCnt = (PorsonTable.Length - 1);
+                PersonInChargeMaster SalesRec = new PersonInChargeMaster();
+                string strSales = picDB.CreatePrimarykeyString(DailyRec.CreatorCode);
+                picDB.SelectAction(strSales, ref SalesRec);
+                PorsonTable[SetCnt] = DailyRec.CreatorCode;
+                PrintNameTable[SetCnt] = SalesRec.DisplayString;
+                PersonNameTable[SetCnt] = SalesRec.SealPrintName;
+
+                // テーブル内に同じコードが無いか後から調べる
+                for (int i = PorsonTable.Length - 1; i > -1; i--)
+                {
+                    for (int ii = i - 1; ii > -1; ii--)
+                    {
+                        if (PorsonTable[i] == PorsonTable[ii])
+                        {
+                            PorsonTable[i] = 0;
+                            PrintNameTable[i] = "";
+                            break;
+                        }
+                    }
+                }
+
+                // 印鑑を描画する
+                OfficeShapeDefine shapedef = new OfficeShapeDefine();
+                shapedef.ShapeSheetName = s_shapeSheetName;     // 図形シート名称
+                shapedef.ShapeName = s_shapeName;               // 図形名称
+                shapedef.ShapeWidth = s_ShapeSize[0, 0];        // 図形描画サイズ Width
+                shapedef.ShapeHeight = s_ShapeSize[0, 1];       // 図形描画サイズ Height
+
+                int PrintPos = 21;   // Wは22
+                for (int i = 0; i < PorsonTable.Length; i++, PrintPos += 3)
+                {
+                    if (PorsonTable[i] == 0) continue;
+
+                    shapedef.ShapeDrowPointX = s_CoverSealPoint[i, 0];                              // 図形描画位置 X
+                    shapedef.ShapeDrowPointY = s_CoverSealPoint[i, 1] + (s_NextImageY * PageCnt);   // 図形描画位置 Y
+                    shapedef.DrowText = PersonNameTable[i];                      // 描画文字列
+                    int ifontSize = PersonNameTable[i].Length - 1;
+                    if (ifontSize > 4) ifontSize = 4;
+                    shapedef.FontSize = s_EstimateSeal1FontSize[ifontSize];     // フォントサイズ
+                    // 図形描画
+                    m_UsedExcel.ExcelCopyShape(shapedef);
+
+                    // タイトル印字
+                    string strChar = CommonMotions.cnvNumberToAlphaCharacter(PrintPos);
+                    int RowPoint = 3 + (s_NumberOfRowInDetail * PageCnt);
+                    if (PrintPos > 25) strChar = "A" + strChar;
+                    if (PrintNameTable[i].Length != 0)
+                    {
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, RowPoint), PrintNameTable[i]);
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                paDB.close(); paDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region ブロック１データセット（ヘッダー部作成）
+        /// <summary>
+        /// ブロック１データセット（ヘッダー部作成）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock1Data(ProceedingsData DailyRec, int PageCnt)
+        {
+            try
+            {
+                // 和暦取得
+                string strJapanDate = CommonMotions.cnvJapaneseCalendar(DailyRec.ProceedingsDataDate);
+                for (int i = 0; i < PageCnt; i++)
+                {
+                    int RowCnt = 1 + (s_NumberOfRowInDetail * i);
+
+                    // 工事名称セット
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", RowCnt),
+                                                m_ConstructionBaseInfoDetail.DetailString);
+
+                    RowCnt = 3 + (s_NumberOfRowInDetail * i);
+                    string strPage = string.Format("{0}/{1}", (i + 1), PageCnt);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AL", RowCnt), strPage);
+
+                    RowCnt = 7 + (s_NumberOfRowInDetail * i);
+                    // 日付セット
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", RowCnt), strJapanDate);
+
+                    // 場所セット
+                    string strPalce = string.Empty;
+                    if (DailyRec.PalceFlag == 0)
+                    {
+                        strPalce = DailyRec.MeetingPalce;
+                    }
+                    else
+                    {
+                        strPalce = "現　地（現　場）";
+                    }
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", RowCnt), strPalce);
+
+                    RowCnt = 8 + (s_NumberOfRowInDetail * i);
+                    // 開始時間セット
+                    string strStart = string.Format("{0}時{1}分", CommonMotions.cnvTruncate(DailyRec.StartMeetingTime / 100).ToString("00")
+                                                                , CommonMotions.cnvTruncate(DailyRec.StartMeetingTime % 100).ToString("00"));
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", RowCnt), strStart);
+
+                    // 終了時間セット
+                    string strComp = string.Format("{0}時{1}分", CommonMotions.cnvTruncate(DailyRec.EndMeetingTime / 100).ToString("00")
+                                                                , CommonMotions.cnvTruncate(DailyRec.EndMeetingTime % 100).ToString("00"));
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("H", RowCnt), strComp);
+
+                    // 判子印字
+                    ExcelPrintCoverSeal(DailyRec, i);
+
+                }
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region ブロック２データセット（出席者）
+        /// <summary>
+        /// ブロック２データセット（出席者）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock2Data(ArrayList AttendList)
+        {
+            try
+            {
+                int iDataCnt = -1;
+                bool bDataLess = false;
+                object[] objRec = null;
+                string strEditWrk = string.Empty;
+                string strChar = string.Empty;
+                int PrintRow = 0;
+                while (!bDataLess)
+                {
+                    // Y軸に印字
+                    for (int iy = 0; iy < 4; iy++)
+                    {
+                        // X軸に印字
+                        for (int ix = 0; ix < 4; ix++)
+                        {
+                            iDataCnt++;
+                            if (iDataCnt > (AttendList.Count - 1))
+                            {
+                                bDataLess = true;
+                                break;
+                            }
+                            objRec = (object[])AttendList[iDataCnt];
+                            // 出席者編集
+                            strEditWrk = string.Format("{0}　{1}"
+                                                        , CommonMotions.cnvString(objRec[(int)IOProceedingsDataAttend.TableColumn.Department])
+                                                        , CommonMotions.cnvString(objRec[(int)IOProceedingsDataAttend.TableColumn.AttendName]));
+                            // X位置
+                            switch (ix)
+                            {
+                                case 0:
+                                    strChar = "A";
+                                    break;
+                                case 1:
+                                    strChar = "K";
+                                    break;
+                                case 2:
+                                    strChar = "U";
+                                    break;
+                                case 3:
+                                    strChar = "AE";
+                                    break;
+                            }
+                            // データカウントをX/Yのカウントで割った値で行数を掛ける
+                            PrintRow = s_FixAttedStartLine + iy + (s_NumberOfRowInDetail * (iDataCnt / (s_FixAttendListRow * s_FixAttendListCol)));
+                            // 印刷処理
+                            m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString(strChar, PrintRow), strEditWrk);
+                        }
+                        if (bDataLess) break;
+                    }
+                    if (bDataLess) break;
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region ブロック３データセット（議事明細）
+        /// <summary>
+        /// ブロック３データセット（議事明細）
+        /// </summary>
+        /// <returns></returns>
+        private CommonDefine.RetunAnswer SetBlock3Data(ArrayList DetailList)
+        {
+            try
+            {
+                int iDataCnt = 0;
+                
+                string strEditWrk = string.Empty;
+                string strChar = string.Empty;
+                int PrintRow = 0;
+
+                foreach (object[] objRec in DetailList)
+                {
+                    // データカウントをX/Yのカウントで割った値で行数を掛ける
+                    PrintRow = s_FixDetailStartLine;
+                    PrintRow += s_NumberOfRowInDetail * (iDataCnt / s_FixDetailListRow);
+                    PrintRow += iDataCnt % s_FixDetailListRow;
+                    // 印刷処理
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", PrintRow), CommonMotions.cnvString(objRec[(int)IOProceedingsDataDetail.TableColumn.TitleNo]));
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", PrintRow), CommonMotions.cnvString(objRec[(int)IOProceedingsDataDetail.TableColumn.Title]));
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", PrintRow), CommonMotions.cnvString(objRec[(int)IOProceedingsDataDetail.TableColumn.ContentsText]));
+                    
+                    iDataCnt++;
+                }
+
+                return CommonDefine.RetunAnswer.Answer0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return CommonDefine.RetunAnswer.Answer1;
+            }
+        }
+        #endregion
+
+        #region 印刷ページを取得するために議事録データの対象件数を取得する
+        /// <summary>
+        /// 印刷ページを取得するために議事録データの対象件数を取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetProcessCount()
+        {
+            IOProceedingsData DailyDB = new IOProceedingsData();
+            try
+            {
+                ArrayList arData = new ArrayList();
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, A.PROCEEDINGSDATADATE FROM PROCEEDINGSDATA A";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.CONSTRUCTIONCODE, A.PROCEEDINGSDATADATE";
+
+                // SQL実行
+                if (!DailyDB.ExecuteReader(strSQL, ref arData)) return arData.Count;
+
+                return arData.Count;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/ProcessControl.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/ProcessControl.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/ProcessControl.cs	(revision 83)
@@ -610,6 +610,7 @@
                 if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
                     m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
                 {
+                    frmTying.ParentAdd = true;
                     frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
                     frmTying.ConstructionCode = m_ConstructionCode;
                     frmTying.ShowDialog();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs	(revision 83)
@@ -1049,10 +1049,10 @@
                 Label wrkLbl2 = NewPage.PageFixItem[(int)PageValue.OrderPrice];
                 wrkLbl2.BackColor = System.Drawing.Color.SandyBrown;
                 wrkLbl2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-                wrkLbl2.Location = new System.Drawing.Point(706, 7);
+                wrkLbl2.Location = new System.Drawing.Point(696, 7);
                 wrkLbl2.Name = string.Format("PageFixOrderPrice{0}", PageCount);
-                wrkLbl2.Size = new System.Drawing.Size(160, 25);
-                wrkLbl2.Text = "発注金額（税別）";
+                wrkLbl2.Size = new System.Drawing.Size(170, 25);
+                wrkLbl2.Text = "台帳発注金額(税別)";
                 wrkLbl2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
 
                 // 発注金額
